- board = local_assigns.fetch(:board, nil)
- @no_container = true
- @content_class = "issue-boards-content"
- page_title "Boards"

- content_for :page_specific_javascripts do
  = page_specific_javascript_bundle_tag('boards')
  = page_specific_javascript_bundle_tag('simulate_drag') if Rails.env.test?

  %script#js-board-template{ type: "text/x-template" }= render "projects/boards/components/board"
  %script#js-board-list-template{ type: "text/x-template" }= render "projects/boards/components/board_list"

= render "projects/issues/head"

= render 'shared/issuable/filter', type: :boards, board: board

#board-app.boards-app{ "v-cloak" => true, data: board_data }
  .boards-list{ ":class" => "{ 'is-compact': detailIssueVisible }" }
    .boards-app-loading.text-center{ "v-if" => "loading" }
      = icon("spinner spin")
    %board{ "v-cloak" => true,
      "v-for" => "list in state.lists",
      "ref" => "board",
      ":list" => "list",
      ":disabled" => "disabled",
      ":issue-link-base" => "issueLinkBase",
      ":root-path" => "rootPath",
      ":key" => "_uid" }
  = render "projects/boards/components/sidebar"
  %board-add-issues-modal{ "blank-state-image" => render('shared/empty_states/icons/issues.svg'),
    "new-issue-path" => new_namespace_project_issue_path(@project.namespace, @project),
    "milestone-path" => milestones_filter_dropdown_path,
    "label-path" => labels_filter_path,
    ":issue-link-base" => "issueLinkBase",
    ":root-path" => "rootPath",
    ":project-id" => @project.try(:id) }
